#ifndef CAR_PHYSICS_HPP
#define CAR_PHYSICS_HPP

namespace godot {
class CarPhysics : public RigidBody3D {
    GDCLASS(CarPhysics, RigidBody3D);
    static void _bind_methods();
public:
    virtual void _enter_tree() override;
    virtual void _integrate_forces(PhysicsDirectBodyState3D *state) override;
private:
    static const float ACCELERATION;
    static const float BRAKE_FORCE;
    static const float UNDERSTEER_SPEED_MUL;
    static const float OVERSTEER_SPEED_MUL;
};
}

#endif // !CAR_PHYSICS_HPP
